/*
 * This file is part of the AdvanceMAME project
 *
 * Copyright (C) 1999-2000 Andrea Mazzoleni
 *
 * The contents of this file are free for non-commercial use.
 * Any commercial use is forbidden.
 */

#include <stdio.h>
#include <dos.h>
#include <allegro.h>

int main() {
	char cmd[256];
	int esc_pressed_before = 0;
	int esc_count = 0;

	*cmd = 0;

        allegro_init();
        install_keyboard();

	printf("Press ESC three times to exit\n");

	while (esc_count < 3) {
		int i;
		int esc_pressed = 0;
		unsigned count = 0;
		char newcmd[256];
		*newcmd = 0;
		for(i=1;i<KEY_MAX;++i) { /* 1 is the first real key */
			if (key[i]) {
				if (i==KEY_ESC)
					esc_pressed = 1;
				++count;
				sprintf(newcmd + strlen(newcmd), "%d ", i);
			}
		}

		if (!*newcmd)
			strcpy(newcmd,"none");

		if (strcmp(cmd,newcmd)!=0) {
			printf("[%3d] %s\n",count,newcmd);

			sound(1000);
			delay(10);
			nosound();
		}

		strcpy(cmd,newcmd);

		if (count == 1 && esc_pressed) {
			esc_pressed_before = 1;
		} else if (count == 0) {
			if (esc_pressed_before) {
				++esc_count;
				esc_pressed_before = 0;
			}
		} else {
			esc_count = 0;
		}
	}

        allegro_exit();

	return 0;
}
